Qwt User's Guide: QwtSplineBasis Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtSplineBasis Class Reference

An approximation using a basis spline. More...

`#include <qwt_spline_basis.h>`

Inheritance diagram for QwtSplineBasis:

## Public Member Functions
| QwtSplineBasis ()
| Constructor.
virtual | ~QwtSplineBasis ()
| Destructor.
virtual QPainterPath | painterPath (const QPolygonF &) const override
virtual uint | locality () const override
| The locality is always 2.
Public Member Functions inherited from QwtSpline
| QwtSpline ()
| Constructor.
virtual | ~QwtSpline ()
| Destructor.
void | setParametrization (int type)
void | setParametrization (QwtSplineParametrization *)
const QwtSplineParametrization * | parametrization () const
void | setBoundaryType (BoundaryType)
BoundaryType | boundaryType () const
void | setBoundaryValue (BoundaryPosition, double value)
| Define the boundary value.
double | boundaryValue (BoundaryPosition) const
void | setBoundaryCondition (BoundaryPosition, int condition)
| Define the condition for an endpoint of the spline.
int | boundaryCondition (BoundaryPosition) const
void | setBoundaryConditions (int condition, double valueBegin=0.0, double valueEnd=0.0)
| Define the condition at the endpoints of a spline.
virtual QPolygonF | polygon (const QPolygonF &, double tolerance) const
| Interpolate a curve by a polygon.

## Additional Inherited Members
Public Types inherited from QwtSpline
enum | BoundaryType { ConditionalBoundaries , PeriodicPolygon , ClosedPolygon }
enum | BoundaryPosition { AtBeginning , AtEnd }
enum | BoundaryCondition { Clamped1 , Clamped2 , Clamped3 , LinearRunout }
| Boundary condition. More...

## Detailed Description

An approximation using a basis spline.

QwtSplineBasis approximates a set of points by a polynomials with C2 continuity ( = first and second derivatives are equal ) at the end points.

The end points of the spline do not match the original points.

Definition at line 24 of file qwt_spline_basis.h.

## Constructor & Destructor Documentation

## ◆ QwtSplineBasis()

QwtSplineBasis::QwtSplineBasis | ( |  | ) |

Constructor.

Definition at line 227 of file qwt_spline_basis.cpp.

## ◆ ~QwtSplineBasis()

QwtSplineBasis::~QwtSplineBasis | ( |  | ) |
| virtual

Destructor.

Definition at line 232 of file qwt_spline_basis.cpp.

## Member Function Documentation

## ◆ locality()

uint QwtSplineBasis::locality | ( |  | ) | const
| overridevirtual

The locality is always 2.

Reimplemented from QwtSpline.

Definition at line 237 of file qwt_spline_basis.cpp.

## ◆ painterPath()

QPainterPath QwtSplineBasis::painterPath | ( | const QPolygonF & | points | ) | const
| overridevirtual

Approximates a polygon piecewise with cubic Bezier curves and returns them as QPainterPath.

Parameters

  points | Control points

Returns
  Painter path, that can be rendered by QPainter

Implements QwtSpline.

Definition at line 249 of file qwt_spline_basis.cpp.